Package org.springframework.security.core.authority.mapping

# Interface MappableAttributesRetriever

All Known Implementing Classes:
  `MapBasedAttributes2GrantedAuthoritiesMapper`, `SimpleMappableAttributesRetriever`

public interface MappableAttributesRetriever
Interface to be implemented by classes that can retrieve a list of mappable security attribute strings (for example the list of all available J2EE roles in a web or EJB application).

Since:
  2.0

## Method Summary

Modifier and Type
Method
Description
`Set<String>`
`getMappableAttributes()`
Implementations of this method should return a set of all string attributes which can be mapped to `GrantedAuthority`s.

## Method Details

### getMappableAttributes

Set<String> getMappableAttributes()
Implementations of this method should return a set of all string attributes which can be mapped to `GrantedAuthority`s.

Returns:
  set of all mappable roles